suppressMessages(library(ggplot2))
# List of degrees
G.degrees <- degree(g)

# Let's count the frequencies of each degree
G.degree.histogram <- as.data.frame(table(G.degrees))

# Need to convert the first column to numbers, otherwise
# the log-log thing will not work (that's fair...)
# G.degree.histogram[,1] <- as.numeric(G.degree.histogram[,1])
G.degree.histogram[,1] <- as.numeric( paste(G.degree.histogram[,1]))

# Now, plot it!
p <- ggplot(G.degree.histogram, aes(x = G.degrees, y = Freq)) +
  geom_point() +
  scale_x_continuous("Degree\n(nodes with this amount of connections)",
                     breaks = c(1, 3, 5, 7, 10, 15, 100),
                     trans = "log10") +
  scale_y_continuous("Frequency\n(how many of them)",
                     breaks = c(1, 3, 10, 30, 100, 1000),
                     trans = "log10") +
  # ggtitle("Degree Distribution (log-log)") +
  theme_bw()